/*
 * Copyright 2010-2015 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jetbrains.kotlin.idea;

import com.intellij.testFramework.TestDataPath;
import org.jetbrains.kotlin.test.InnerTestClasses;
import org.jetbrains.kotlin.test.JUnit3RunnerWithInners;
import org.jetbrains.kotlin.test.JetTestUtils;
import org.jetbrains.kotlin.test.TestMetadata;
import org.junit.runner.RunWith;

import java.io.File;
import java.util.regex.Pattern;

/** This class is generated by {@link org.jetbrains.kotlin.generators.tests.TestsPackage}. DO NOT MODIFY MANUALLY */
@SuppressWarnings("all")
@TestMetadata("idea/testData/smartSelection")
@TestDataPath("$PROJECT_ROOT")
@RunWith(JUnit3RunnerWithInners.class)
public class SmartSelectionTestGenerated extends AbstractSmartSelectionTest {
    public void testAllFilesPresentInSmartSelection() throws Exception {
        JetTestUtils.assertAllTestsPresentByMetadata(this.getClass(), new File("idea/testData/smartSelection"), Pattern.compile("^([^\\.]+)\\.kt$"), true);
    }

    @TestMetadata("labelledStatement.kt")
    public void testLabelledStatement() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/labelledStatement.kt");
        doTestSmartSelection(fileName);
    }

    @TestMetadata("labelledThis.kt")
    public void testLabelledThis() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/labelledThis.kt");
        doTestSmartSelection(fileName);
    }

    @TestMetadata("simple.kt")
    public void testSimple() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/simple.kt");
        doTestSmartSelection(fileName);
    }

    @TestMetadata("superExpression.kt")
    public void testSuperExpression() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/superExpression.kt");
        doTestSmartSelection(fileName);
    }

    @TestMetadata("superExpressionWithLabel.kt")
    public void testSuperExpressionWithLabel() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/superExpressionWithLabel.kt");
        doTestSmartSelection(fileName);
    }

    @TestMetadata("superExpressionWithLabelAndType.kt")
    public void testSuperExpressionWithLabelAndType() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/superExpressionWithLabelAndType.kt");
        doTestSmartSelection(fileName);
    }

    @TestMetadata("superExpressionWithType.kt")
    public void testSuperExpressionWithType() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/superExpressionWithType.kt");
        doTestSmartSelection(fileName);
    }

    @TestMetadata("typeInSuperExpression.kt")
    public void testTypeInSuperExpression() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/typeInSuperExpression.kt");
        doTestSmartSelection(fileName);
    }

    @TestMetadata("typeInSuperExpressionWithLabel.kt")
    public void testTypeInSuperExpressionWithLabel() throws Exception {
        String fileName = JetTestUtils.navigationMetadata("idea/testData/smartSelection/typeInSuperExpressionWithLabel.kt");
        doTestSmartSelection(fileName);
    }
}
